import { Secret } from "../../types";
import { SecretsStorage } from "./types";
export declare class SecretsStorageImpl implements SecretsStorage {
    private secrets;
    private logger;
    constructor();
    deleteAllSecrets(): Promise<void>;
    private recreateCalculatedValues;
    initializeStorage(): Promise<void>;
    getDefaultSecret(): Promise<Readonly<Secret>>;
    getDefaultSecretId(): Promise<number>;
    private ensureSecretsExist;
    private throwIfSecretsDoesntExist;
    getSecretById(id: number): Promise<Readonly<Secret>>;
    private removeSecretsFromArray;
    private updateSecret;
    private updateUrls;
    storeSecret(secret: Omit<Secret, "id" | "host" | "customClient">): Promise<void>;
    deleteSecretById(id: number): void;
    private removeInconsistentSecrets;
    private removeUnknownPropertiesFromSecrets;
    synchronizeSecretsToStorage(): Promise<void>;
    getAllSecrets(): ReadonlyArray<Secret>;
}
