"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SecretsStorageSingleton_1 = require("../cache/secrets/SecretsStorageSingleton");
const constants_1 = require("../constants");
const logger_1 = require("../logger");
const config_1 = require("../config");
const handler_1 = require("./handler");
const utils_1 = require("../logger/utils");
const utils_2 = require("./utils");
const handler = async () => async () => {
    try {
        const config = (0, config_1.get)();
        SecretsStorageSingleton_1.SecretsStorageSingleton.SINGLETON.deleteSecretById(config.options[constants_1.OPTION_LOGIN_ID.longName]);
    }
    catch (err) {
        const logger = (0, logger_1.get)("commands.logout");
        logger.error("failed to delete secrets file from cache", err);
        (0, utils_1.logVerbose)(logger, err.message);
    }
};
const logoutCommand = {
    type: "command",
    command: "logout",
    description: "log out from your account",
    handler: (0, handler_1.createNextHandler)("logout.command", (0, handler_1.createParseArgumentsHandler)(), (0, handler_1.createOptionsHandler)([
        { ...constants_1.OPTION_LOGIN_ID, choices: utils_2.getChoices },
        constants_1.OPTION_VERBOSE,
    ]), handler),
};
exports.default = logoutCommand;
